<?php

namespace App\Enums;

// use Filament\Support\Contracts\HasColor;
// use Filament\Support\Contracts\HasIcon;
use Filament\Support\Contracts\HasLabel;

enum EuroNorm: int implements HasLabel
{
    case EURO1 = 1;
    case EURO2 = 2;
    case EURO3 = 3;
    case EURO4 = 4;
    case EURO5 = 5;
    case EURO6 = 6;

    public function getLabel(): string
    {
        return match ($this) {
            self::EURO1 => 'Euro 1',
            self::EURO2 => 'Euro 2',
            self::EURO3 => 'Euro 3',
            self::EURO4 => 'Euro 4',
            self::EURO5 => 'Euro 5',
            self::EURO6 => 'Euro 6',
        };
    }

    // public function getColor(): string | array | null
    // {
    //     return match ($this) {
    //         self::EURO1 => 'primary',
    //         self::EURO2 => 'primary',
    //         self::EURO3 => 'primary',
    //         self::EURO4 => 'primary',
    //         self::EURO5 => 'primary',
    //         self::EURO6 => 'primary',
    //     };
    // }

    // public function getIcon(): string
    // {
    //     return match ($this) {
    //         self::EURO1 => 'heroicon-o-check',
    //         self::EURO2 => 'heroicon-o-check',
    //         self::EURO3 => 'heroicon-o-check',
    //         self::EURO4 => 'heroicon-o-check',
    //         self::EURO5 => 'heroicon-o-check',
    //         self::EURO6 => 'heroicon-o-check',
    //     };
    // }
}
